Skip to main content
GET
/
v1
/
admin
/
usage
Get usage metrics
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/usage \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "records": [
    {
      "bytes_ingested": 10485760,
      "date": "2026-01-15",
      "documents_ingested": 1240000,
      "queries_executed": 842,
      "splits_stored": 12,
      "tenant_id": "acme",
      "vocabulary_entries": 5000
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Query Parameters

tenant_id
string
required
Minimum string length: 1
start_date
string | null
end_date
string | null

Response

Successful Response

records
UsageDailyItem · object[]
required